using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace ClientService
{
    /// <summary>
    /// To display the long term prediction results for a chosen ticker from the web service
    /// </summary>
    public partial class LongTermPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                CodeWebService.CodeWebService cws =
                    new CodeWebService.CodeWebService();

                CodeWebService.TickerInfo[] tickers = cws.GetAllTickers();

                foreach (CodeWebService.TickerInfo ticker in tickers)
                {
                    ListItem item = new ListItem(ticker.Symbol, ticker.Id.ToString());
                    this.tickerCombo.Items.Add(item);
                }
            }
        }

        /// <summary>
        /// On clicking "Predict" button, this method is invoked
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void predictBtn_Click(object sender, EventArgs e)
        {
            CodeWebService.CodeWebService cws =
                new ClientService.CodeWebService.CodeWebService();

            CodeWebService.TickerInfo ticker =
                new ClientService.CodeWebService.TickerInfo();
            ticker.Id = int.Parse(this.tickerCombo.SelectedItem.Value);
            ticker.Symbol = this.tickerCombo.SelectedItem.Text;

            CodeWebService.LongTermPrediction longPrediction =
                cws.GetLongTermPrediction(ticker);

            this.predictTxt.Text = longPrediction.Prediction;
            this.patternTxt.Text = longPrediction.Pattern;
        }

        protected void Menu1_MenuItemClick(object sender, MenuEventArgs e)
        {
            if (e.Item.Value.Equals("Home"))
            {
                this.Server.Transfer("StartPage.aspx");
            }
            else if (e.Item.Value.Equals("Research"))
            {
                this.Server.Transfer("ResearchPage.aspx");
            }
            else if (e.Item.Value.Equals("Short Term"))
            {
                this.Server.Transfer("ShortTermPage.aspx");
            }
            else if (e.Item.Value.Equals("Long Term"))
            {
                this.Server.Transfer("LongTermPage.aspx");
            }
            else if (e.Item.Value.Equals("About"))
            {
                this.Server.Transfer("AboutPage.aspx");
            }
            else if (e.Item.Value.Equals("How Do I?"))
            {
                this.Server.Transfer("HowDoIPage.aspx");
            }
        }
    }
}
