using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace CodeService
{
    /// <summary>
    /// This class represents the ticker ( and its properties)
    /// </summary>
    public class TickerInfo
    {
        private int id;
        /// <summary>
        /// This represents an integer id for the stock (stockid)
        /// </summary>
        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        /// <summary>
        /// This represents the name of the company
        /// </summary>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string symbol;
        /// <summary>
        /// This represents the ticker for the company
        /// </summary>
        public string Symbol
        {
            get { return symbol; }
            set { symbol = value; }
        }

        /// <summary>
        /// This is the default constructor
        /// </summary>
        public TickerInfo()
        { 
        }
        /// <summary>
        /// Constructor accepting all arguments
        /// </summary>
        /// <param name="id">A unique identifier in our database for every ticker</param>
        /// <param name="name">Name of the company</param>
        /// <param name="symbol">Ticker for the company</param>
        public TickerInfo(int id, string name, string symbol)
        {
            this.id = id;
            this.name = name;
            this.symbol = symbol;
        }
    }
}
